Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05692 Crash/Freeze Critical (emulator) Always Sep 2, 2014, 16:41 May 28, 2021, 05:38
Tester ReyVGM View Status Public Platform
Assigned To Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver gticlub.cpp
Version 0.154 Fixed in Version 0.232 Build
Fixed in Git Commit Github Pull Request #
Summary 05692: slrasslt: Stage 3 crashes the emulator.
Description A few seconds after starting stage 3, the emulator will crash. I tried the game on MAMEUI 0.150 and 0.154 and the same thing happened.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems slrasslt
Attached Files
 
Relationships
has duplicate 07390Closed  slrasslt, slrassltj, slrassltj1: Solar Assault crashes on the 3rd Stage. 
Notes
23
User avatar
No.10965
hap
Developer
Sep 3, 2014, 00:34
MAME should spit out a bunch of information when it crashes, please copy/paste that here =)
Use the official cmdline version.
User avatar
No.10966
Robbbert
Developer
Sep 3, 2014, 01:43
Bugs from MAMEUI are not allowed here, you must use the official command-line build.

You should also attach a save-state just prior to when the crash would happen.
User avatar
No.10968
B2K24
Moderator
Sep 3, 2014, 04:17
I can successfully confirm this bug using the official command line version of MAME however, it's not a few seconds into stage 3. I'd estimate it's about 40% through stage 3 after maneuvering around some tall pillars that are grouped closely together. Upon hitting this point MAME closes itself and is completely removed from the taskbar while the Command Prompt window displays no information about what has just occurred even when running with -verbose

Running the debug build is really slow like 3FPS, so it doesn't seem like a viable option.

Also, loading save-states does not work. When creating them for this game you end up with a file just under 10 MB in size and MAME tells you that they are not supported for this game and crashes giving you a stack crawl. I'm unsure if it's garbage data, but it's all I can generate for the moment.

-----------------------------------------------------
Exception at EIP=000007FEFFB7119B (std::basic_streambuf<wchar_t, std::char_trait
s<wchar_t> >::sgetc() [clone .part.31]+0xfc205d5b): ACCESS VIOLATION
While attempting to write memory at 0000000006E4DF18
-----------------------------------------------------
RAX=0000000000000000 RBX=000000001D3B6C40 RCX=0000000006E4DF18 RDX=0000000016568
DA4
RSI=0000000000000008 RDI=0000000000000008 RBP=0000000000227290 RSP=0000000000227
208
 R8=0000000000000008 R9=0000000000000001 R10=000000000000CA33 R11=0000000006E4D
F18
R12=0000000006E4DF18 R13=0000000000000008 R14=0000000000000008 R15=0000000000000
000
-----------------------------------------------------
Stack crawl:
  0000000000227200: 000007FEFFB7119B (memcpy+0x00bb)
  0000000000227290: 000000000210AEA7 (core_fread(core_file*, void*, unsigned int
)+0x00d7)
  00000000002272E0: 0000000001FC48DA (emu_file::read(void*, unsigned int)+0x005a
)
  0000000000227370: 0000000001F8EB11 (save_manager::read_file(emu_file&)+0x0131)

  00000000002275E0: 0000000001F4F8D0 (running_machine::handle_saveload()+0x0370)

  00000000002277C0: 0000000001F5241D (running_machine::run(bool)+0x049d)
  000000000022F0A0: 0000000001F67647 (machine_manager::execute()+0x0597)
  000000000022F4C0: 0000000001FFD98D (cli_frontend::execute(int, char**)+0x0e4d)

  000000000022FE00: 000000000144DBA6 (utf8_main(int, char**)+0x0456)
  000000000022FE60: 00000000022DDAAC (wmain+0x007c)
  000000000022FF20: 00000000004013F0 (__tmainCRTStartup+0x0270)
  000000000022FF50: 00000000004014F8 (mainCRTStartup+0x0018)
  000000000022FF80: 0000000077695A4D (BaseThreadInitThunk+0x000d)
  000000000022FFD0: 000000007792BA01 (RtlUserThreadStart+0x0021)
User avatar
No.10969
B2K24
Moderator
Sep 3, 2014, 04:21
I'm not sure if this is useful or not, but I decided to run with log enabled since verbose gave me no information. Here is what I got in error.log text document

=============================================
Timer Dump: Time = 291.299999999
00000000003BD300: en=1 temp=0 exp= 291.300000000 start= 291.280000000 per= 0.020000000 param=0 ptr=0000000000000000 cb=sound_manager::update
0000000013CC3A30: en=1 temp=0 exp= 291.300776625 start= 291.298376625 per= (never) param=0 ptr=0000000000000000 cb=gticlub_state::sound_irq
0000000013CC3820: en=1 temp=0 exp= 291.316666666 start= 291.299999999 per= (never) param=0 ptr=0000000000000000 dev=:screen id=0
0000000013CC3980: en=1 temp=0 exp= 291.316666666 start= 291.299999999 per= (never) param=0 ptr=0000000000000000 dev=:screen id=2
00000000003C3830: en=1 temp=1 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=(null)
00000000003BCD80: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=running_machine::soft_reset
0000000013CC2A60: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=ppc_device::ppc4xx_fit_callback
0000000013CC2BC0: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=ppc_device::ppc4xx_spu_callback
0000000013CC2C70: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=ppc_device::ppc4xx_buffered_dma_callback
0000000013CC2D20: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=ppc_device::ppc4xx_buffered_dma_callback
0000000013CC2DD0: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=ppc_device::ppc4xx_buffered_dma_callback
0000000013CC2E80: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=ppc_device::ppc4xx_buffered_dma_callback
0000000013CC2FE0: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=adsp21062_device::sharc_dma_callback
0000000013CC3090: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=adsp21062_device::sharc_dma_callback
0000000013CC3140: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=adsp21062_device::sharc_dma_callback
0000000013CC31F0: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=adsp21062_device::sharc_dma_callback
0000000013CC32A0: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=adsp21062_device::sharc_dma_callback
0000000013CC3350: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=adsp21062_device::sharc_dma_callback
0000000013CC34B0: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=adsp21062_device::sharc_dma_callback
0000000013CC3560: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=adsp21062_device::sharc_dma_callback
0000000013CC3610: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=adsp21062_device::sharc_dma_callback
0000000013CC36C0: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=adsp21062_device::sharc_dma_callback
0000000013CC3770: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=adsp21062_device::sharc_dma_callback
0000000013CC38D0: en=0 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 dev=:screen id=1
0000000013CC2640: en=1 temp=0 exp= (never) start= 0.000000000 per= (never) param=0 ptr=0000000000000000 cb=running_machine::watchdog_fired
0000000013CC2B10: en=1 temp=0 exp= (never) start= 0.000001500 per= (never) param=0 ptr=0000000000000000 cb=ppc_device::ppc4xx_pit_callback
0000000013CC3AE0: en=0 temp=0 exp= (never) start= 2.000000000 per= (never) param=0 ptr=0000000000000000 cb=running_machine::autoboot_callback
0000000013CC3400: en=1 temp=0 exp= (never) start= 16.453418638 per= (never) param=0 ptr=0000000000000000 cb=adsp21062_device::sharc_dma_callback
0000000013CC2F30: en=1 temp=0 exp= (never) start= 16.453418721 per= (never) param=0 ptr=0000000000000000 cb=adsp21062_device::sharc_iop_delayed_write_callback
=============================================
User avatar
No.11348
Firewave
Senior Tester
Jan 3, 2015, 20:16
I am not able to start the game at all. I am always getting

24G BAD : EEPROM PARAMETER IS ILLIGAL

A reset doesn't help and it doesn't seem to have a service mode to initialize it.
User avatar
No.11352
Osso
Developer
Jan 4, 2015, 07:38
When you get that message, keep F2 pressed and press F3. That will do it.
User avatar
No.15100
georgc3
Tester
Jun 5, 2018, 23:37
edited on: Jun 5, 2018, 23:38
The game is fully playable from start to finish only when you activate cheats (especially the invincibility cheat)on level three or before that. After testing the game from start to finish, this prevents the stage 3 from crashing the emulator. You can disable the cheat after you completed level 3. So right now, you'll have to activate cheats on stage 3 or activate it when you start the game to prevent the game on stage 3 crashing the emulator. Tested it with the official command-line version.
User avatar
No.16062
MetalGod
Senior Tester
Jan 21, 2019, 13:51
edited on: Jan 21, 2019, 13:59
Still crashing in mame 0.205
Uploaded savestates
1 = starting level 3
2 = right before the crash
(too big to attach here)
https://drive.google.com/open?id=1JAKFjk_wtmf0UGXM9hI8GLfqLp0o5fjR
User avatar
No.16089
georgc3
Tester
Jan 30, 2019, 22:22
MetalGod,

You will need to activate cheats (especially the invincibility cheat) before level 3 to prevent the game crashing the emulator. This is the only way to play the game from start to finish.
User avatar
No.16093
MetalGod
Senior Tester
Jan 31, 2019, 13:23
edited on: Jan 31, 2019, 13:24
georgc3

The bug is not intended to be surpassed using cheats. Anyway, I guess it is good to know for the development team or any player looking for help in this issue.
User avatar
No.16724
ReyVGM
Tester
Aug 5, 2019, 18:05
I can confirm what georgc3 said. If you enable the cheat just as the game boots (and not when level 1 starts), the game will not crash in stage 3. However, it will crash on stage 6. I don't know if the game is only crashing because of the cheats or because of emulation issues. Game is too hard for me to play without cheats.

I'm using MAME 0.211
User avatar
No.16725
ReyVGM
Tester
Aug 5, 2019, 18:38
edited on: Aug 5, 2019, 22:49
Ok disregard my previous post. I played the game without cheats, and it still crashed on stage 3. So the bug is inherent to the emulation, not to the cheats.

*edit*
Used version 0.212
User avatar
No.16727
MetalGod
Senior Tester
Aug 5, 2019, 21:12
Latest mame version, 0.212, brought some changes to the gticlub driver in which this game runs. It would be far more interesting if you tested this new version and let us know if the bug persist.
User avatar
No.16728
ReyVGM
Tester
Aug 5, 2019, 22:49
On my second test, I did use MAME 0.212 and the game crashed.
User avatar
No.16732
Hydreigon
Tester
Aug 6, 2019, 19:41
edited on: Aug 6, 2019, 23:42
Those changes I did aren't anything major (at least to cpu or video hardware). My prediction is something in the ppc/cpu or sharc/dsp. I may as well check to see if the current version spits some info when the emulator crashes.

EDIT: Nothing yet. The emulator straight out closed without an error or log.
User avatar
No.16735
ReyVGM
Tester
Aug 8, 2019, 21:32
Here's a level select cheat in case someone wants it to reach level 3 faster.

Solar Assault (USA)

<mamecheat version="1">

<cheat desc="Select Starting Stage">
    <parameter min="1" max="6" step="1"/>
    <script state="run">
      <action condition="(maincpu.ppb@596C7==00)">maincpu.ppb@596C7=(param-1)</action>
    </script>
  </cheat>
  
</mamecheat>

Solar Assault (Japan)

<mamecheat version="1">

  <cheat desc="Select Starting Stage">
    <parameter min="1" max="5" step="1"/>
    <script state="run">
      <action condition="(maincpu.ppb@5DB47==00)">maincpu.ppb@5DB47=(param-1)</action>
    </script>
  </cheat>

</mamecheat>
User avatar
No.16746
ReyVGM
Tester
Aug 12, 2019, 15:11
edited on: Aug 12, 2019, 15:13
And to clarify, in Solar Assault Gradius (Japan), the game will crash in stage 3 (this version only has 5 levels).

And in Solar Assault (USA) / Solar Assault Revised (Japan), the game will crash in stage 3 and stage 6 (this version one has 6 levels).

Solar Assault (USA) / Solar Assault Revised (Japan) has an additional level the original Solar Assault Gradius (J) didn't have.
User avatar
No.17334
Firewave
Senior Tester
Jan 8, 2020, 21:13
Testing with 0.217. Trying to create a save state will cause an error in a sanitized build:
=================================================================
==17540==ERROR: AddressSanitizer: heap-buffer-overflow on address 0x228df900 at pc 0x01372ab7 bp 0x16b2aef4 sp 0x16b2aee8
READ of size 8192 at 0x228df900 thread T0
==17540==WARNING: Failed to use and restart external symbolizer!
    #0 0x1372ad1 in __asan_wrap_memcpy D:\agent\_work\6\s\src\vctools\crt\asan\llvm\compiler-rt\lib\sanitizer_common\sanitizer_common_interceptors.inc:801
    #1 0x2c7e838 in deflateResetKeep+0x1c08 (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x25ae838)
    #2 0x2c7dafa in deflateResetKeep+0xeca (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x25adafa)
    #3 0x2c7b742 in rm380z_state::videoram_write+0xd02 (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x25ab742)
    #4 0x2c7c2e5 in deflate+0x7a5 (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x25ac2e5)
    #5 0x239ee2a in util::core_file::open_ram_copy+0x68a (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x1ccee2a)
    #6 0x23a1d85 in util::basic_vectorbuf<char,std::char_traits<char>,std::allocator<char> >::underflow+0x5e5 (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x1cd1d85)
    #7 0x67991e0 in emu_file::write+0x70 (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x60c91e0)
    #8 0x66925ad in save_manager::write_file+0x2ed (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x5fc25ad)
    #9 0x66a9a5a in running_machine::handle_saveload+0x59a (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x5fd9a5a)
    #10 0x66abcb1 in running_machine::run+0x321 (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x5fdbcb1)
    #11 0x75392fc in mame_machine_manager::execute+0x52c (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x6e692fc)
    #12 0x755b36a in cli_frontend::start_execution+0x56a (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x6e8b36a)
    #13 0x7553104 in cli_frontend::execute+0x174 (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x6e83104)
    #14 0x753a259 in emulator_info::start_frontend+0x59 (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x6e6a259)
    #15 0xa7f25be in main+0x43e (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0xa1225be)
    #16 0xa598c9a in __scrt_common_main_seh d:\agent\_work\6\s\src\vctools\crt\vcstartup\src\startup\exe_common.inl:288
    #17 0x75d36358 in BaseThreadInitThunk+0x18 (C:\WINDOWS\System32\KERNEL32.DLL+0x6b816358)
    #18 0x779f7b73 in RtlGetAppContainerNamedObjectPath+0xe3 (C:\WINDOWS\SYSTEM32\ntdll.dll+0x4b2e7b73)
    #19 0x779f7b43 in RtlGetAppContainerNamedObjectPath+0xb3 (C:\WINDOWS\SYSTEM32\ntdll.dll+0x4b2e7b43)

0x228df900 is located 0 bytes to the right of 4096-byte region [0x228de900,0x228df900)
allocated by thread T0 here:
    #0 0x138326d in operator new[] D:\agent\_work\6\s\src\vctools\crt\asan\llvm\compiler-rt\lib\asan\asan_new_delete.cc:102
    #1 0x1498256 in make_unique_clear<short [0]>+0x16 (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0xdc8256)
    #2 0x20c1209 in k001006_device::device_start+0x59 (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x19f1209)
    #3 0x62ff127 in device_t::start+0x97 (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x5c2f127)
    #4 0x66ad879 in running_machine::start_all_devices+0x489 (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x5fdd879)
    #5 0x66ad287 in running_machine::start+0x807 (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x5fdd287)
    #6 0x66abb05 in running_machine::run+0x175 (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x5fdbb05)
    #7 0x75392fc in mame_machine_manager::execute+0x52c (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x6e692fc)
    #8 0x755b36a in cli_frontend::start_execution+0x56a (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x6e8b36a)
    #9 0x7553104 in cli_frontend::execute+0x174 (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x6e83104)
    #10 0x753a259 in emulator_info::start_frontend+0x59 (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0x6e6a259)
    #11 0xa7f25be in main+0x43e (s:\dev\mame0217\build\projects\windows\mame\vs2019\..\..\..\..\..\mame.exe+0xa1225be)
    #12 0xa598c9a in __scrt_common_main_seh d:\agent\_work\6\s\src\vctools\crt\vcstartup\src\startup\exe_common.inl:288
    #13 0x75d36358 in BaseThreadInitThunk+0x18 (C:\WINDOWS\System32\KERNEL32.DLL+0x6b816358)
    #14 0x779f7b73 in RtlGetAppContainerNamedObjectPath+0xe3 (C:\WINDOWS\SYSTEM32\ntdll.dll+0x4b2e7b73)
    #15 0x779f7b43 in RtlGetAppContainerNamedObjectPath+0xb3 (C:\WINDOWS\SYSTEM32\ntdll.dll+0x4b2e7b43)

SUMMARY: AddressSanitizer: heap-buffer-overflow D:\agent\_work\6\s\src\vctools\crt\asan\llvm\compiler-rt\lib\sanitizer_common\sanitizer_common_interceptors.inc:801 in __asan_wrap_memcpy
Shadow bytes around the buggy address:
  0x3451bed0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
  0x3451bee0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
  0x3451bef0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
  0x3451bf00: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
  0x3451bf10: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
=>0x3451bf20:[fa]fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x3451bf30: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x3451bf40: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x3451bf50: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x3451bf60: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x3451bf70: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
Shadow byte legend (one shadow byte represents 8 application bytes):
  Addressable: 00
  Partially addressable: 01 02 03 04 05 06 07
  Heap left redzone: fa
  Freed heap region: fd
  Stack left redzone: f1
  Stack mid redzone: f2
  Stack right redzone: f3
  Stack after return: f5
  Stack use after scope: f8
  Global redzone: f9
  Global init order: f6
  Poisoned by user: f7
  Container overflow: fc
  Array cookie: ac
  Intra object redzone: bb
  ASan internal: fe
  Left alloca redzone: ca
  Right alloca redzone: cb
  Shadow gap: cc
==17540==ABORTING

The provided save states also no longer work with this version.
User avatar
No.18422
Hydreigon
Tester
Jan 29, 2021, 05:49
edited on: Jan 30, 2021, 19:51
S̶o̶ ̶I̶ ̶a̶d̶d̶e̶d̶ ̶a̶ ̶p̶o̶l̶y̶g̶o̶n̶ ̶c̶o̶m̶m̶a̶n̶d̶ ̶f̶o̶r̶ ̶k̶0̶0̶1̶0̶0̶5̶.̶c̶p̶p̶ ̶t̶o̶ ̶m̶a̶k̶e̶ ̶t̶h̶e̶ ̶"̶H̶o̶w̶ ̶t̶o̶ ̶P̶l̶a̶y̶"̶ ̶j̶e̶t̶s̶k̶i̶ ̶m̶o̶d̶e̶l̶ ̶i̶n̶ ̶j̶e̶t̶w̶a̶v̶e̶ ̶a̶c̶t̶u̶a̶l̶l̶y̶ ̶d̶i̶s̶p̶l̶a̶y̶ ̶w̶i̶t̶h̶o̶u̶t̶ ̶t̶h̶e̶ ̶c̶m̶d̶ ̶s̶p̶i̶t̶t̶i̶n̶g̶ ̶i̶n̶f̶o̶r̶m̶a̶t̶i̶o̶n̶ ̶a̶b̶o̶u̶t̶ ̶a̶n̶ ̶u̶n̶k̶n̶o̶w̶n̶ ̶p̶o̶l̶y̶g̶o̶n̶ ̶c̶o̶m̶m̶a̶n̶d̶.̶ ̶I̶t̶ ̶t̶u̶r̶n̶s̶ ̶o̶u̶t̶ ̶s̶l̶r̶a̶s̶s̶l̶t̶ ̶m̶a̶y̶ ̶h̶a̶v̶e̶ ̶u̶s̶e̶d̶ ̶t̶h̶a̶t̶ ̶m̶i̶s̶s̶i̶n̶g̶ ̶c̶o̶m̶m̶a̶n̶d̶ ̶t̶o̶o̶ ̶f̶o̶r̶ ̶a̶ ̶c̶e̶r̶t̶a̶i̶n̶ ̶m̶o̶d̶e̶l̶ ̶i̶n̶ ̶s̶t̶a̶g̶e̶ ̶3̶ ̶r̶i̶g̶h̶t̶ ̶a̶f̶t̶e̶r̶ ̶t̶h̶e̶ ̶f̶i̶r̶s̶t̶ ̶m̶o̶a̶i̶ ̶h̶e̶a̶d̶ ̶p̶a̶r̶t̶ ̶(̶a̶s̶ ̶I̶ ̶c̶o̶u̶l̶d̶ ̶n̶o̶t̶ ̶r̶e̶p̶l̶i̶c̶a̶t̶e̶ ̶t̶h̶e̶ ̶c̶r̶a̶s̶h̶ ̶i̶n̶ ̶M̶a̶m̶e̶ ̶v̶e̶r̶s̶i̶o̶n̶s̶ ̶a̶f̶t̶e̶r̶ ̶0̶.̶2̶2̶6̶)̶.̶

The above info is no longer true. Going to save a log file to see what I get.
User avatar
No.18430
MetalGod
Senior Tester
Jan 30, 2021, 18:10
I've tested this in mame 0.228 and it still crashes on level 3 :(
The game closed to windows with no error message after 2 minutes playing in stage 3
User avatar
No.18910
Osso
Developer
May 27, 2021, 16:38
Can somone retest this after https://github.com/mamedev/mame/commit/4f4bc1a38c6481579cf78093c1f481aaf5a62bf5 ?
User avatar
No.18911
gspat
Tester
May 28, 2021, 00:00
Using slrasslt, without cheats, I managed to get to level 5 while playing terribly.

No crash at level 3, doubt I'll ever get to level 6.

Vid of me playing badly:

User avatar
No.18912
Osso
Developer
May 28, 2021, 04:30
edited on: May 28, 2021, 04:32
Haze also wrote it doesn't crash anymore, so I'll set it as fixed. Couldn't find him in the user list here, but fixed by Ville Linde.
Thanks for checking!